<?php

include('../includes/hlava.php');
title('Klub priateľov fotografie', '../');

if ($link) {
  if ($db_selected) {
  
include('../includes/vedla.php');
odkaz('../');
include('../includes/menu.php');
menu('klub', '../');
?>             
               
            <ul class="menu pmenu">
              <li><a href="index.php" title="o klube">Úvod</a></li>
              <li><a href="clanky.php" class="aktual" title="články kpf">Články</a></li>
          
<?php
if (!(isset($_SESSION['login']) && ($_SESSION['login'] != ""))) :
// pouzivatel sa musi prihlasit, treba zobrazit prihlasovaci formular
?>
<?
else :
// pouzivatel je prihlaseny
    ?>
              <li class="medzera">&nbsp;</li>
              <li><a href="vloz.php" title="vloženie článku">Vložiť článok</a></li>
    
<?php
endif; // kontrola SESSION
        	
?>                    
          
            </ul>
          
        <div class="obsah">  
	
<?php

  		if (isset($_GET['id']) && $_GET['id'] > '0') {
      
            $sql = "SELECT C.*, UNIX_TIMESTAMP(C.cas) AS 'dat', A.meno, A.priezvisko
                    FROM kpf_clanky C, kpf_author A
                    WHERE C.cid=".$_GET['id']." AND A.aid=C.aid;";
                    
            $result = mysql_query($sql, $link);	
            if ($result) {
        		  $pocet = mysql_num_rows($result);
        		  if ($pocet > '0') {
                $row = mysql_fetch_assoc($result);
                echo '<h2 class="cl_nadpis">'.$row['nadpis'].'</h2>
                ';
                echo '<p class="cl_info">'.date("d.m.Y", $row['dat']).' o '.date("H:i", $row['dat']).'; autor: '.$row['meno'].' '.$row['priezvisko'].'; kategória: '.$row['kategoria'];
                if ($_SESSION['aid'] == '1') echo '; <a href="edit.php?id='.$row['cid'].'">editovať článok</a></p>
                ';
                else echo '</p>
                ';
                echo '<p class="cl"><i>'.$row['perex'].'</i></p>
                ';
                echo $row['text'];                         
                $sql2 = "SELECT DISTINCT meno, A.priezvisko, A.aid
                         FROM kpf_clanky_photos F, kpf_author A
                         WHERE F.cid=".$_GET['id']." AND F.aid=A.aid;";
                       
                $result2 = mysql_query($sql2, $link);	
                if ($result2) {
                  while ($row2 = mysql_fetch_assoc($result2)) {
                    if ($_GET['id'] == '17')
                      echo '<p class="cl_fotky"><b>Foto:</b> Gold View 2007, súťažné fotografie<br />';
                    else
                    echo '
                    <p class="cl_fotky"><b>Foto:</b> '.$row2['meno'].' '.$row2['priezvisko'].'<br />';
                    
                    $sql3 = "SELECT F.*
                             FROM kpf_clanky_photos F
                             WHERE F.cid=".$_GET['id']." AND F.aid=".$row2['aid'].";";
                    
                    $result3 = mysql_query($sql3, $link);	
                    if ($result3) {
                      while ($row3 = mysql_fetch_assoc($result3)) {
                        echo '<a href="../photos/clanky/'.$row3['kde'].'"><img src="../photos/clanky/small/'.$row3['kde'].'" alt="" /></a>';
                      }
                      echo '</p>';
                    }                           
                  }
                }
                if ($_SESSION['login'] != "") {
                  echo '<p><a href="vloz_foto.php?id='.$row['cid'].'">Pridať fotografiu k článku.</a></p>';
                }   
              }
              else echo '<p>Taký článok neexistuje!</p>';
            }
      }
      else echo '<p>Treba vybrať konkrétny článok.</p>';
  
        		}   
	   mysql_close($link);   
 
	}
include('../includes/pata.php'); 
?>
